.mes {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #0008;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.mes-box {
    background: #dbffef;
    padding: 20px;
    border-radius: 10px;
    width: 500px;
    height: 200px;
    box-shadow: #0004 0 0 15px -5px;
    display: flex;
    flex-direction: column;
}

.mes-title {
    font-size: 20px;
    font-weight: bold;
    color: #42b983;
    text-align: center;
}

.mes-content {
    flex: 1;
    font-size: 16px;
    color: #000;
    text-align: center;
    padding: 20px;
    display: flex;
}

.mes-item-container {
    align-items: center;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
    grid-gap: 20px;
    width: 100%;
}

.mes-item {
    background: #42b983;
    color: #fff;
    padding: 5px 0;
    border-radius: 5px;
    cursor: pointer;
    transition: .3s;

}

.mes-item:hover {
    background: #389a6b;
}

.mes-back {
    background: #9b9b9b;
    color: #fff;
    padding: 5px 0;
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
    margin-left: auto;
    width: 100px;
    transition: .3s;
}

.mes-back:hover {
    background: #8a8a8a;
}


/* 进入/离开的初始状态 */
.fade-enter-from,
.fade-leave-to {
    opacity: 0;
    /* 透明度为0（隐藏） */
}

/* 进入/离开的过渡过程 */
.fade-enter-active,
.fade-leave-active {
    transition: opacity 0.5s ease;
    /* 过渡时长0.5秒，缓动效果 */
}

/* 进入完成的状态（可选，默认继承） */
.fade-enter-to,
.fade-leave-from {
    opacity: 1;
    /* 透明度为1（显示） */
}